#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
export DEB_BUILD_PROFILES := cross
CONFIGURE_OPTS += CONFIG+=no_docs
endif

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-qt5 \
		-- LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		"QMAKE_CXXFLAGS=$(CFLAGS)" \
		CONFIG+=ubuntu-docs \
			$(CONFIGURE_OPTS) \
		../accounts-qml-module.pro
#	dh_auto_configure --builddirectory=build-qt6 --buildsystem=qmake6 \
#		-- LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
#		QT_MAJOR_VERSION=6 \
#		"QMAKE_CXXFLAGS=$(CFLAGS)" \
#		CONFIG+=ubuntu-docs \
#			$(CONFIGURE_OPTS) \
#		../accounts-qml-module.pro

override_dh_auto_build:
	dh_auto_build --builddirectory=build-qt5
#	dh_auto_build --builddirectory=build-qt6 --buildsystem=qmake6

override_dh_auto_install:
	dh_auto_install --builddirectory=build-qt5
#	dh_auto_install --builddirectory=build-qt6

	# Create the compat module for Ubuntu.OnlineAccounts
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml/Ubuntu/OnlineAccounts
	for FILE in qmldir plugin.qmltypes; do \
	        sed \
	                -e 's/SSO/Ubuntu/' \
	                debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml/SSO/OnlineAccounts/$${FILE} \
	                > debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml/Ubuntu/OnlineAccounts/$${FILE}; \
	done
	ln -sr debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml/SSO/OnlineAccounts/libAccounts.so \
	        debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml/Ubuntu/OnlineAccounts/libAccounts.so

override_dh_install:
	rmdir debian/tmp/usr/share/doc/accounts-qml-module/html/images/
	dh_install -X .gitignore

override_dh_auto_test:
	dh_auto_test --builddirectory=build-qt5
#	dh_auto_test --builddirectory=build-qt6

override_dh_gencontrol:
	dh_gencontrol -Nqml-module-ubuntu-onlineaccounts
	dh_gencontrol -pqml-module-ubuntu-onlineaccounts -- -v"1:$(DEB_VERSION)"

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build-qt5
#	dh_auto_clean --builddirectory=build-qt6

%:
	dh $@

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
